const St = imports.gi.St;
const Main = imports.ui.main;
const Gio = imports.gi.Gio;
const Me = imports.misc.extensionUtils.getCurrentExtension();
const ICON = Me.path + '/icon.png'


function clear() {

    Main.notify('Cleared', 'Notification area is cleared');
    // Clear all notifications
    Main.panel.statusArea.dateMenu._messageList._notificationSection._list.remove_all_children();

    // Removes the little dot next to clock
    Main.panel.statusArea.dateMenu._indicator.actor.get_children()[0].destroy();

}

//create button on top bar (CenterBox)
function init() {
    this.button = new St.Button({ style_class: 'clear-all',
                                    reactive: true,
	               		    can_focus: true,
                   		    track_hover: true });

    this.newicon = new St.Icon({ gicon: Gio.icon_new_for_string(ICON),
                                     icon_size: 18,                                        
				     style_class: 'system-status-icon',
	                                     track_hover: true });
	
    this.button.set_child(newicon);
    this.button.connect('button-press-event', clear);
}

function enable() {
    Main.panel._centerBox.insert_child_at_index(button,0);
}

function disable() {
    Main.panel._centerBox.remove_child(button);
}
